# lumagrid

Drives a 64x32 HUB75 panel using an Adafruit Matrix Portal S3.

## Applications

### nametag

Displays my name.

Upper button changes visibility level, lower button changes display style.

|Style|Description|Visibility 0|Visibility 1|Visibility 2|
|--|--|--|--|--|
|Rain|Matrix-style digital rain|No highlights|Overlay is highlighted|Highlights do not fade|
|38C3|38C3 themed font and background|Show only "38C3"|Show only "Panki"|Rotating text with name and DECT extension|
|Supercomputer|Inspired by a [BigClive video](https://www.youtube.com/watch?v=7f8jgvvJe-Q)|Red only|Rainbow, inverted name|Rainbow name, no background|

### gifplayer

Plays included GIF files. Buttons skip forward/backward.

### organism

Approximation of a Physarum (aka slime mold) transport network.

To learn more about this, read [this blog post](https://www.moll.dev/projects/physarum/) by Thomas Moll which helped a lot in getting started on this.

The original paper on which this is based on is titled "Pattern Formation and Evolution in Approximations of Physarum Transport Networks" by Jeff Jones and can be found [here](https://uwe-repository.worktribe.com/js/pdfjs/web/viewer.html?file=https://uwe-repository.worktribe.com/previewfile/980585/artl.2010.16.2.pdf).

## Ideas:

- CYBER Absperrband
